Piwik kann Ihre aktuelle Installation nicht überschreiben


#1

Obwohl ich bisher immer mit der Auto-Update Funktion ganz leicht die neue Version installieren konnte, klappt es jetzt nicht mehr. Piwik sagt mir:

[quote="Piwik kann Ihre aktuelle Installation nicht überschreiben. Sie müssen entweder die Ordner-/Dateiberechtigungen anpassen oder das Paket herunterladen und die Version 2.11.0 manuell installieren.

chown -R www-data:www-data /www/htdocs/wbb86bb3/counter
chmod -R 0755 /www/htdocs/wbb86bb3/counter

After you execute these commands (or change permissions via your FTP software), refresh the page and you should be able to use the “Automatic Update” feature."]

[/quote]

Den Ordner “counter” habe ich jetzt schon auf 755 und 777 gesetzt, beides funktioniert nicht, was kann ich noch versuchen?

Viele Grüße
Werner


(Stefan Giehl) #2

Hast du die Berechtigung auch für alle Dateien im Order auf 755 bzw 777 geändert?
Piwik brauch sowohl auf den Ordner als auch auf alle darin enthaltenen Dateien/Unterordner Schreibzugriff.


#3

Alle Dateien und Unterordner wurden rekursiv mit 755 (und auch schon mit 777) gesetzt. Funktioniert trotzdem nicht.